gtkmm: Gdk::Snapshot Class Reference

gtkmm 4.14.0

Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Gdk::Snapshot Class Reference

Base type for snapshot operations. More...

`#include <gdkmm/snapshot.h>`

Inheritance diagram for Gdk::Snapshot:
[legend]

## Public Member Functions
| Snapshot (Snapshot &&src) noexcept
Snapshot & | operator= (Snapshot &&src) noexcept
| ~Snapshot () noexcept override
GdkSnapshot * | gobj ()
| Provides access to the underlying C GObject.
const GdkSnapshot * | gobj () const
| Provides access to the underlying C GObject.
GdkSnapshot * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gdk::Snapshot > | wrap (GdkSnapshot *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Base type for snapshot operations.

See also
  Gtk::Snapshot

Since gtkmm 3.94

## Constructor & Destructor Documentation

## ◆ Snapshot()

Gdk::Snapshot::Snapshot | ( | Snapshot && | src | ) |
| noexcept

## ◆ ~Snapshot()

Gdk::Snapshot::~Snapshot | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ get_type()

static GType Gdk::Snapshot::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GdkSnapshot * Gdk::Snapshot::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GdkSnapshot * Gdk::Snapshot::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GdkSnapshot * Gdk::Snapshot::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

Snapshot & Gdk::Snapshot::operator= | ( | Snapshot && | src | ) |
| noexcept

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gdk::Snapshot > wrap | ( | GdkSnapshot * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.